# Class DropTargetEvent

java.lang.Object
java.util.EventObject
java.awt.dnd.DropTargetEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DropTargetDragEvent, DropTargetDropEvent`

public class DropTargetEvent extends EventObject
The `DropTargetEvent` is the base class for both the `DropTargetDragEvent` and the `DropTargetDropEvent`. It encapsulates the current state of the Drag and Drop operations, in particular the current `DropTargetContext`.

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DropTargetContext`
  `context`
  The `DropTargetContext` associated with this `DropTargetEvent`.

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropTargetEvent(DropTargetContext dtc)`
  Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DropTargetContext`
  `getDropTargetContext()`
  This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### context

    protected DropTargetContext context
    The `DropTargetContext` associated with this `DropTargetEvent`.

- ## Constructor Details

  - ### DropTargetEvent

    public DropTargetEvent(DropTargetContext dtc)
    Construct a `DropTargetEvent` object with the specified `DropTargetContext`.
    Parameters:
      `dtc` - The `DropTargetContext`
    Throws:
      `NullPointerException` - if `dtc` equals `null`.
    See Also:
      - `EventObject.getSource()`
      - `getDropTargetContext()`

- ## Method Details

  - ### getDropTargetContext

    public DropTargetContext getDropTargetContext()
    This method returns the `DropTargetContext` associated with this `DropTargetEvent`.
    Returns:
      the `DropTargetContext`